package com.tencent.mm.plugin.appbrand.jsapi.i;

import com.tencent.mm.plugin.appbrand.jsapi.c;
import com.tencent.mm.plugin.appbrand.jsapi.u;
import java.util.HashMap;
import org.json.JSONObject;

public abstract class b extends u<c> {
    public abstract String OA();

    public abstract void a(c cVar, JSONObject jSONObject, String str);

    public abstract String aBA();

    public final String b(c cVar, JSONObject jSONObject) {
        String aBA = aBA();
        HashMap hashMap = new HashMap();
        hashMap.put(OA(), aBA);
        cVar.aBy().post(new 1(this, cVar, jSONObject, aBA));
        return j("ok", hashMap);
    }
}
